Main Page Class Hierarchy Compound List File List Compound Members File Members

# worm_socket_exception Class Reference

`#include <socket_exception.h>`

Inheritance diagram for worm_socket_exception:

List of all members.

## Public Member Functions
| worm_socket_exception (WS_FUNCTION_ID p_functionid, int p_errorcode, const char *p_what, int p_closesocket=0)
| worm_socket_exception (WS_FUNCTION_ID p_functionid, int p_errorcode, std::string p_what, int p_closesocket=0)
const char * | DecodeError () const
const WS_FUNCTION_ID | GetFunctionId ()
const int | GetErrorCode ()
const int | SocketCloseType ()
## Static Public Member Functions
const char * | DecodeError (WS_FUNCTION_ID p_functionid, int p_errcode)
## Protected Attributes
WS_FUNCTION_ID | FunctionId
int | ErrorCode
int | CloseType

## Constructor & Destructor Documentation

worm_socket_exception::worm_socket_exception | ( | WS_FUNCTION_ID | p_functionid,
|  | int | p_errorcode,
|  | const char * | p_what,
|  | int | p_closesocket = 0
| ) | `[inline]`

| Definition at line 18 of file socket_exception.h.

worm_socket_exception::worm_socket_exception | ( | WS_FUNCTION_ID | p_functionid,
|  | int | p_errorcode,
|  | std::string | p_what,
|  | int | p_closesocket = 0
| ) | `[inline]`

| Definition at line 28 of file socket_exception.h.

## Member Function Documentation

const char * worm_socket_exception::DecodeError | ( |  | ) | const

| Definition at line 26 of file socket_exception.cpp.

const char * worm_socket_exception::DecodeError | ( | WS_FUNCTION_ID | p_functionid,
|  | int | p_errcode
| ) | `[static]`

| Definition at line 31 of file socket_exception.cpp. References WSF_ACCEPT, WSF_BIND, WSF_CONNECT, WSF_GETSOCKOPT, WSF_IOCTLSOCK, WSF_LISTEN, WSF_RECV, WSF_RECVFROM, WSF_SELECT, WSF_SEND, WSF_SETSOCKOPT, and WSF_SOCKET.

const int worm_socket_exception::GetErrorCode | ( |  | ) | `[inline]`

| Definition at line 43 of file socket_exception.h.

const WS_FUNCTION_ID worm_socket_exception::GetFunctionId | ( |  | ) | `[inline]`

| Definition at line 42 of file socket_exception.h. References WS_FUNCTION_ID.

const int worm_socket_exception::SocketCloseType | ( |  | ) | `[inline]`

| Definition at line 44 of file socket_exception.h.

## Member Data Documentation

int worm_socket_exception::CloseType`[protected]`

| Definition at line 16 of file socket_exception.h.

int worm_socket_exception::ErrorCode`[protected]`

| Definition at line 15 of file socket_exception.h.

WS_FUNCTION_ID worm_socket_exception::FunctionId`[protected]`

| Definition at line 14 of file socket_exception.h.

The documentation for this class was generated from the following files:

- socket_exception.h
- socket_exception.cpp